# My personal Linux desktop setup
This repo contains a ansible playbook to bootstrap workstations with my custom Hyprland based desktop environment and commonly used apps.
It's like a dotfile repo, but with extended functionality.

## Customization
The playbook renders the config based on the configured host variables for the machine that it's running on.

To add a new host, add it's hostname to the inventory and create a corresponding host_vars file. You can take a look at the already existing configuation as an example. 

## Usage
This playbook is intended to run on Debian testing/sid with only the "default tools" options selected at the time of install.

Run the folowing commands to get a ready to use system:
```bash
git clone https://git.bluemedia.dev/Bluemedia/desktop-config.git
cd desktop-config
bash prerequisites.sh
# Uncomment apps you want to install
nano main.yml
ansible-playbook --ask-become-pass -i inventory/ main.yml
# Reboot after the playbook finished
sudo reboot
```

To update a installed system:
```bash
cd desktop-config
git pull
ansible-playbook --ask-become-pass -i inventory/ main.yml
# Reboot after the playbook finished
sudo reboot
```
